services:
  outline:
    image: docker.getoutline.com/outlinewiki/outline:latest
    restart: unless-stopped
    ports:
      - "3000:3000"
    environment:
      - DATABASE_URL=postgresql://nahuel:outline_dev_password@postgres:5432/outline-dev
      - PGSSLMODE=disable
      - REDIS_URL=redis://redis:6379
      - NODE_ENV=development
      - SECRET_KEY=129302b238e3835acb4b215fd5ddd6aed1bf46ee15cb35d6e99e6412efe341db
      - UTILS_SECRET=3a11befe7ef69be60f4e0bbe4957dc6dc7fee06a3c2b3590f60192edff75883b
      - URL=http://localhost:3000
    depends_on:
      - postgres
      - redis
    volumes:
      - outline_data:/var/lib/outline

  postgres:
    image: postgres:17-alpine
    restart: unless-stopped
    environment:
      - POSTGRES_USER=nahuel
      - POSTGRES_DB=outline-dev
      - POSTGRES_PASSWORD=outline_dev_password
      - POSTGRES_HOST_AUTH_METHOD=trust
    volumes:
      - postgres_data:/var/lib/postgresql/data

  redis:
    image: redis:7-alpine
    restart: unless-stopped
    volumes:
      - redis_data:/data

volumes:
  outline_data:
  postgres_data:
  redis_data: